Bug 198937 - sata_promise crash at boot
sata_promise crash at boot
Status: CLOSED DUPLICATE of bug 199142
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-14 16:19 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 13:02:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-07-14 16:19:05 EDT
FC5 box, upgraded from FC4 (doh! shouldn't have told you that!), won't boot.
stack trace shows something about sata_promise, the trace goes back to insmod.

I can't hook a serial cable to this box, but I can take a photo of the screen if
it helps (!)

Forcing an install of an old kernel-2.6.16-1.2115_FC4 lets me boot.
Comment 1 Need Real Name 2006-08-11 12:25:24 EDT
Same for kernel-2.6.17-1.2157_FC5.
Am currently using 2.6.16-1.2133_FC5.
Comment 2 Need Real Name 2006-08-21 11:05:39 EDT
Same for new kernel-2.6.17-1.2174_FC5.

First bit of error:
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000008
 printing eip:
*pde = 00000000
Oops: 0002[#1]
last sysfs file: /block/ram0/removable
Modules linked in: sata_promise libata sd_mod scsi_mod
EIP: 0060:[<f8829551>] Not tainted VLI
EFLAGS: 00010202 (2.6.17-1.2174_FC5 #1)
EIP is at pdc_sata_scr_write+0x12/0x16 [sata_promise]
Process insmod [..]
Comment 3 Dave Jones 2006-10-16 14:59:22 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Need Real Name 2006-10-30 09:13:36 EST
Nope. Still broken, and the FC6 kernel is broken too.

I get a message:
 BUG: unable to handle kernel NULL pointer dereference at virtual address 00000008
 printing eip:

This looks pretty much like a bug :!
Comment 5 Need Real Name 2006-10-30 13:06:44 EST
I think bugzilla is a bit broken. I ticked the "am supplying the requested info"
box, but the bug is still stuck on NEEDINFO..
Comment 6 Need Real Name 2006-10-30 13:24:44 EST
IBM person: please can you reply using bugzilla, otherwise your e-mail replies
get hidden.

If you look at the history for this bug, you will see that the bug did _not_
change from NEEDINFO when I supplied the information. Instead, it switched from
NEEDINFO when I reported this oddity.
Comment 7 Need Real Name 2006-11-13 03:45:18 EST
There's a lot of traffic about "users not upgrading the kernels, so that they
can use binary kernel modules, etc. etc".

I'd really *REALLY* like to upgrade my kernel to something above
2.6.16-1.2133_FC5 but I can't until this bug is fixed.

I can't upgrade to FC6, because I get the same problem.
Comment 8 Dan Carpenter 2006-11-13 12:36:24 EST
Try the patch from bug 199142

Comment 9 Need Real Name 2006-11-13 13:02:54 EST
Ah - thanks.

*** This bug has been marked as a duplicate of 199142 ***

Note You need to log in before you can comment on or make changes to this bug.